I=(S=Uno.Box = function(){
    this.Minimum = new Uno.Float3;
    this.Maximum = new Uno.Float3;
}).prototype;

I.ToString = function()
{
    return "Uno.Box";
};

I.GetHashCode = function()
{
    return 0;
};

I.Center = function()
{
    return Uno.Float3.operator_Mul_1(Uno.Float3.operator_Add(this.Minimum, this.Maximum), 0.5);
};

S.$0 = function(min, max) {
    var $this = new Uno.Box;
    $this.Minimum = min;
    $this.Maximum = max;
    return $this;
};
